# WordPress Directory Plugin For Business Listings -  WP Local Plus #
**Contributors:** [WPEka Club](https://profiles.wordpress.org/WPEka Club)  
**Donate link:** https://club.wpeka.com  
**Tags:** business directory, business listings, directory plugin, company business directory, local business directory, listings directory, link directory, member directory, staff directory  
**Requires at least:** 5.0+  
**Requires PHP:** 5.0  
**Tested up to:** 5.9.3  
**Stable tag:** 1.4.6  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  

WP Local Plus is a WordPress directory plugin that helps you build Professional Business Listings directory for local businesses like Google Places, Yelp.com, or Yahoo! Local.

## Description ##

### WordPress Business Directory Plugin : Free Version ###

[WP Local Plus](https://club.wpeka.com/product/wplocalplus/?utm_source=wporg&utm_medium=wp-local-plus-lite&utm_campaign=link&utm_content=wp-local-plus) is a powerful and easy to setup WordPress Directory Plugin.

Create businesses

This WordPress business directory plugin helps you showcase businesses in your locality along with contact details. You can also show business reviews and ratings.

WP Local Plus can be used for:

- Building business directory on WordPress websites

- Show hotels and facilities near an event venue on event websites

- Generate leads from local lead generation websites

- Showcase locations for Multi-location businesses

In short, WP Local Plus helps you build a local business directory, showcase businesses and monetize your website.

> <strong>Praise for WP Local Plus</strong>
> WP Local Plus works differently. By pulling data from Google you can create a directory almost instantly whereas normally you would spend weeks or months trying to fill your directory with data.
> Kevin Muldoon from WPHub

## Features ##

### EASILY MANAGE YOUR BUSINESS DIRECTORY ###

- Create Unlimited Directories.

- Create / Update Place Types - Categories, Locations, Reviews per directory listing.

- Import and Export directory content.

- No Coding Required: Use WordPress Editor to create / update directory content.

WP Local Plus comes with the following features:

- Fully customizable business place that you can edit just like a WordPress post or page.

- Add a featured image to each business place along with contact details and map location.

- Display business places anywhere on your WordPress website using shortcodes and/or Gutenberg blocks.

- Option to make business places featured/sticky in the pro version.

- Option to import business places from Google Places and City Grid in the pro version.

- Fetch and display reviews and ratings of business places from Google Places in the pro version.

- Support for Google Maps to show business places on a map.

- Support Yoast SEO for search engine optimization.

- Advanced search options.

- Compatible with the latest PHP & WordPress versions.

## Pro Features ##

> - <strong>Google Places support:</strong> Import businesses from Google Places. Save hours of work adding new businesses.
>
> - <strong>City Grid support:</strong> Import businesses from City Grid (for US only).
>
> - <strong>Manual mode support:</strong> Manually add, remove or update businesses, just like you would with WordPress blog posts & pages.
>
> - <strong>Detailed business information:</strong> Shows business name, location, reviews, ratings, photos and contact details.
>
> - <strong>Google Maps support:</strong> Integrates fully with Google Maps to show the business place and nearby places in a map view.
>
> - <strong>Monetize featured businesses:</strong> Mark businesses as featured to show them at the top of the list. Earn money from featured businesses.
>
> - <strong>Deals & offers:</strong> Show business deals and offers.
>
> - <strong>Reviews & Ratings:</strong> Show business reviews and ratings.
>
> Get the [pro version](https://club.wpeka.com/product/wplocalplus/?utm_source=wporg&utm_medium=wp-local-plus-lite&utm_campaign=link&utm_content=pro-version) of WP Local Plus.

## Screenshots ##

1. Google Static Maps API Settings.
2. Add/Edit a business.
3. List of businesses in the admin dashboard.
4. Add businesses to a page using the WP Local Plus block.
5. List of businesses on the front end.

## Frequently Asked Questions ##

### How can I export my Business Directory Listings? ###
From the WordPress Admin Dashboard -> Go Tools, Click the Export button. Select and Export Listings and Reviews. The same data can be imported to another WordPress instance by using Tools -> Import.

### Will the Business Directory Plugin work with my theme? ###
Yes. The Directory Plugin can work with any WordPress Theme which following the WordPress Theme Coding Standards.

### Can I customize my business directory listing templates in my theme? ###
Yes, you can easily customize the existing templates. The existing templates are in /templates directory.
- Copy the templates you want to modify into your theme.
- Create a directory inside your theme folder (wplocalplus-lite).
For e.g. If you want to change the listings template (places.php), copy it to <your-theme-folder>/wplocalplus-lite/places.php

### Does WP Local Plus Business Directory Listings provide a REST API? ###
The listings/reviews are custom post types and categories ( Business Types / Locations ) are custom taxonomies. They support WP’s core REST API.

### Can WP Local Plus Business Directory be translated to other languages? ###
Yes it can. The translation template files (pot) are under the /languages folder.

### Is Business Directory Plugin WordPress Multisite (WPMU) compatible? ###
Yes it is. You can network activate the plugin or activate per site where you need to make the business directory.

## Changelog ##
### 1.4.6 ###
Fix: Fixed plugin code as per WP standards and PHPCS.
### 1.4.5 ###
Update: Removed analytics library

### 1.4.4 ###
Fix: Fixed vulnerability issue for analytics within the plugin.

### 1.4.3 ###
Feature: Add listings for multiple locations.

### 1.4.2 ###
Update: Minor plugin updates.

### 1.4.1 ###
Fix: Fatal error if Analytics SDK is included in two or more plugins installed on same instance

### 1.4 ###
Feature: Added feedback form on Plugin deactivation

### 1.3 ###
Fix: Compatibility with WordPress 5.3

### 1.2 ###
Feature: Sort functionality for listing on frontend.
Fix: Lite and Pro activation issue.
Fix: Reviews count not showing correctly for Places after adding new Reviews

### 1.1 ###
Bug: Minor bug fixes.
Update: Improved frontend UI design.

### 1.0 ###
Feature: Initial version.

## What Next? ##

If you like this plugin, then consider checking out our other projects:

- [WP Legal Pages](https://club.wpeka.com/product/wplegalpages/?utm_source=wporg&utm_medium=wp-local-plus-lite&utm_campaign=link&utm_content=wp-legal-pages) - WordPress Privacy Policy Generator plugin

- [GDPR Cookie Consent](https://club.wpeka.com/product/wp-gdpr-cookie-consent/?utm_source=wporg&utm_medium=wp-local-plus-lite&utm_campaign=link&utm_content=gdpr-cookie-consent) - ICO Compliant GDPR Cookie Consent Plugin

- [Woo Auction Software](https://club.wpeka.com/product/woo-auction-software/?utm_source=wporg&utm_medium=wp-local-plus-lite&utm_campaign=link&utm_content=woo-auction-software) - Host eBay like auctions on your WooCommerce website

- [Survey Funnel](https://club.wpeka.com/product/survey-funnel/?utm_source=wporg&utm_medium=wp-local-plus-lite&utm_campaign=link&utm_content=survey-funnel) - Generate leads on your WordPress website with targeted opt-in offers and surveys

- [WP Raffle](https://club.wpeka.com/product/wp-raffle/?utm_source=wporg&utm_medium=wp-local-plus-lite&utm_campaign=link&utm_content=survey-funnel) - Run giveaways and contests on your WordPress website
